""" aufgabe_ls3_01.py - Zusammenspiel von Python mit MySQL - Auslagerung in eigenes Modul
    Name, Organisaion:          Markus Breuer, BK-GuT
    Erstellt, Letzte Änderung:  14.04.2020, 20.06.2022
    """


from random import random
import dblib


def db_zugriffswerte():
    """Funktion, die die Zugriffsdaten für eine MySQL-Datenbank liefert"""
    return "localhost", "root", "", "aufgabe_ls3_01"


def datenbank_nutzen():
    """Funktion, die eine MySQL-Datenbank beispielhaft nutzt"""

    # Verbindung zur Datenbank aufbauen
    print("Verbindung zur Datenbank aufbauen")
    print("")
    host, user, passwd, db = db_zugriffswerte()
    connection = dblib.db_verbindung_aufbauen(host, user, passwd, db)

    # 50 Werte in Datenbank schreiben
    print("50 Werte in Datenbank schreiben")
    i = 1
    while i <= 50:
        wert = random() * 100
        wert = round(wert, 2)
        sql_anweisung = "INSERT INTO t1_demo ( t1_wert) VALUES ( " + str(wert) + ")"
        dblib.db_nicht_abfrage_anweisung(connection, sql_anweisung)
        i = i + 1
    print("")

    # Tabelleninhalt ausgeben
    print("Tabelleninhalt ausgeben:")
    print("------------------------")
    print("")
    print(" Nr : Zeitpunkt : Wert")
    result = dblib.db_abfrage_anweisung(connection, "SELECT * FROM t1_demo")
    for zeile in result:  # Ergebnis zeilenweise durchlaufen und ausgeben
        print(str(zeile[0]) + " : " + str(zeile[1]) + " : " + str(zeile[2]))
    print("")

    # Verbindung zur Datenbank abbauen
    print("Verbindung zur Datenbank abbauen")
    print("")
    dblib.db_verbindung_abbauen(connection)


datenbank_nutzen()
