/* aufgabe_ls3_01.sql - Datenbank für das CPU-Monitoring-System
    Name, Organisaion:          Markus Breuer, BK-GuT
    Erstellt, Letzte Änderung:  29.12.2020, 20.06.2022
    Das SQL-Skript erzeugt Datenbank für das CPU-Monitoring-System.
*/

DROP DATABASE IF EXISTS aufgabe_ls3_02;                       # Evtl. vorhandene Datenbank löschen

CREATE DATABASE aufgabe_ls3_02 default character set utf8;    # Neue Beispieldatenbank anlegen

USE aufgabe_ls3_02;                                           # Mit neuer Datenbank verbinden

CREATE TABLE t1_cpudata (                                     # Neue Tabelle  anlegen
	t1_ID	int(11) NOT NULL AUTO_INCREMENT,
    t1_zeit	DATETIME DEFAULT NOW(),
    t1_wert	DECIMAL(9,2),
    PRIMARY KEY (t1_ID)
    );
