""" aufgabe_ls3_03 - Druckerverwaltung - Modul steuerung
    Name, Organisaion:          Markus Breuer, BK-GuT
    Erstellt, Letzte Änderung:  05.10.2023, 09.10.2023
    """


import aufgabe_ls3_03_dateischnittstelle as dat
import aufgabe_ls3_03_drucker as druck


def steuerung():
    """Hauptprogramm und Steuerung"""
    # Druckerdaten aus CSV-Datei laden
    drucker_liste = dat.laden()
    while True:
        befehl = menue_auswahl()
        if befehl == 0:
            # Schleife verlassen und Programm beenden
            break
        elif befehl == 1:
            # Neuen Drucker anlegen
            druck.anlegen(drucker_liste)
        elif befehl == 2:
            # Druckerdaten ändern
            druck.aendern(drucker_liste)
        elif befehl == 3:
            # Drucker löschen
            druck.loeschen(drucker_liste)
        elif befehl == 4:
            # Alle Drucker anzeigen
            druck.anzeigen(drucker_liste)
        else:
            # Falsche Befehlseingabe
            print("!!! Unbekannter Befehl:", befehl)
            print("")
    # Druckerdaten in CSV-Datei speichern
    dat.speichern(drucker_liste)


def menue_auswahl():
    """Menü und Befehlsauswahl"""
    print("Fingerübung Druckerverwaltung")
    print("-----------------------------")
    print("")
    print("1 - Neuen Drucker anlegen")
    print("2 - Druckerdaten ändern")
    print("3 - Drucker löschen")
    print("4 - Alle Drucker anzeigen")
    print("0 - Programm beenden")
    befehl = int(input("Auswahl: "))
    print("")
    return befehl


steuerung()
