""" aufgabe_ls3_04a - Kugelrechner (I)
    Name, Organisaion:          Markus Breuer, BK-GuT
    Erstellt, Letzte Änderung:  12.12.2022
    """


import math


def berechne_volumen(radius):
    """Berechnung des Kugelvolumens"""
    volumen = 4 / 3 * math.pi * math.pow(radius, 3)
    return volumen


def berechne_flaeche(radius):
    """Berechnung des Kugeloberfläche"""
    flaeche = 4 * math.pi * math.pow(radius, 2)
    return flaeche


"""Hauptskript des Kugelrechners"""
while True:
    radius = float(input("Radius (Abbruch mit Radius < 0): "))  # Eingabe
    if radius < 0:  # Abbruch
        break
    volumen = berechne_volumen(radius)  # Berechnung
    flaeche = berechne_flaeche(radius)

    volumen = round(volumen, 2)   # Runden
    flaeche = round(flaeche, 2)

    print("Volumen: ", volumen)   # Ausgabe
    print("Oberfläche: ", flaeche)
    print("")

