""" aufgabe_ls3_04b - Kugelrechner (II)
    Name, Organisaion:          Markus Breuer, BK-GuT
    Erstellt, Letzte Änderung:  12.12.2022, 19.12.2022
    """


import math


def steuerung():
    """Steuerung des Kugelrechners"""
    while True:
        radius = hole_zahl("Radius (Abbruch mit Radius < 0): ")  # Eingabe
        if radius < 0:  # Abbruch
            break
        volumen = berechne_volumen(radius)  # Berechnung
        flaeche = berechne_flaeche(radius)
        anzeigen("Volumen", volumen)  # Ausgabe
        anzeigen("Oberfläche", flaeche)
        ausgeben_leerzeilen(1)


def berechne_volumen(radius):
    """Berechnung des Kugelvolumens"""
    volumen = 4 / 3 * math.pi * math.pow(radius, 3)
    return volumen


def berechne_flaeche(radius):
    """Berechnung des Kugeloberfläche"""
    flaeche = 4 * math.pi * math.pow(radius, 2)
    return flaeche


def hole_zahl(label):
    """Einlesen einer Zahl"""
    zahl = float(input(label))
    return zahl


def anzeigen(label, wert):
    """Anzeigen eines Ergebnisses"""
    wert = round(wert, 2)
    print(label, ": ", wert)


def ausgeben_leerzeilen(anzahl):
    """Anzeigen von Leerzeilen"""
    i = 1
    while i <= anzahl:
        print("")
        i = i + 1


steuerung()
