""" aufgabe_ls3_02_dateischnittstelle - Druckerverwaltung - Modul dateischnittstelle
    Name, Organisaion:          Markus Breuer, BK-GuT
    Erstellt, Letzte Änderung:  05.10.2023, 06.10.2023
    """

import csv

DATEI_NAME = "druckerverwaltung.csv"


def laden():
    """Drucker aus Datei einlesen"""
    drucker_liste = []
    with open(DATEI_NAME, "r", encoding="utf-8") as eingabe_datei:
        csv_eingabe_objekt = csv.reader(eingabe_datei)
        for zeile in csv_eingabe_objekt:
            drucker = {"ID": zeile[0], "Hersteller": zeile[1], "Modell": zeile[2]}
            drucker_liste.append(drucker)
    return drucker_liste


def speichern(drucker_liste):
    """Drucker in Datei schreiben"""
    with open(DATEI_NAME, "w", encoding="utf-8", newline="") as ausgabe_datei:
        csv_ausgabe_objekt = csv.writer(ausgabe_datei)
        for drucker in drucker_liste:
            zeile = []
            for wert in drucker.values():
                zeile.append(wert)
            csv_ausgabe_objekt.writerow(zeile)
