""" aufgabe_ls3_03_drucker - Druckerverwaltung - Modul drucker
    Name, Organisaion:          Markus Breuer, BK-GuT
    Erstellt, Letzte Änderung:  05.10.2023, 09.10.2023
    """


def anlegen(drucker_liste):
    """Neuen Drucker anlegen"""
    identifier = input("ID: ")
    hersteller = input("Hersteller: ")
    modell = input("Modell: ")
    drucker = {"ID": identifier, "Hersteller": hersteller, "Modell": modell}
    drucker_liste.append(drucker)
    print("")


def aendern(drucker_liste):
    """Druckerdaten ändern"""
    identifier = input("ID: ")
    gefunden = False
    i = 0
    while i < len(drucker_liste):
        drucker = drucker_liste[i]
        if drucker["ID"] == identifier:
            gefunden = True
            break
        i = i + 1
    if gefunden is False:
        print("Kein Drucker mit der ID vorhanden")
    else:
        hersteller = input("Hersteller:")
        modell = input("Modell:")
        drucker_aktualisiert = {"ID": identifier, "Hersteller": hersteller, "Modell": modell}
        drucker_liste[i] = drucker_aktualisiert
    print("")


def loeschen(drucker_liste):
    """Drucker löschen"""
    identifier = input("ID:")
    gefunden = False
    i = 0
    while i < len(drucker_liste):
        drucker = drucker_liste[i]
        if drucker["ID"] == identifier:
            gefunden = True
            break
        i = i + 1
    if gefunden is False:
        print("Kein Drucker mit der ID vorhanden")
    else:
        del drucker_liste[i]
        print("Drucker mit der ID gelöscht")
    print("")


def anzeigen(drucker_liste):
    """Alle Drucker anzeigen"""
    print("Druckerliste")
    print("------------")
    print("")
    for drucker in drucker_liste:
        for schluessel, wert in drucker.items():
            print(schluessel, ":", wert)
        print("")
